<html><head><title>PMD</title></head><body>
<center><h3>PMD report</h3></center><center><h3>Problems found</h3></center><table align="center" cellspacing="0" cellpadding="3"><tr>
<th>#</th><th>File</th><th>Line</th><th>Problem</th></tr>
<tr bgcolor="lightgrey"> 
<td align="center">1</td>
<td width="*%">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\mock\repositories\MockProductRepository.java</td>
<td align="center" width="5%">18</td>
<td width="*"><a href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#beanmembersshouldserialize">Found non-transient, non-static member. Please mark as transient or provide accessors.</a></td>
</tr>
<tr> 
<td align="center">2</td>
<td width="*%">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\mock\repositories\MockProductRepository.java</td>
<td align="center" width="5%">20</td>
<td width="*"><a href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#beanmembersshouldserialize">Found non-transient, non-static member. Please mark as transient or provide accessors.</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">3</td>
<td width="*%">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\mock\repositories\MockProductRepository.java</td>
<td align="center" width="5%">22</td>
<td width="*"><a href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#beanmembersshouldserialize">Found non-transient, non-static member. Please mark as transient or provide accessors.</a></td>
</tr>
<tr> 
<td align="center">4</td>
<td width="*%">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\mock\repositories\MockProductRepository.java</td>
<td align="center" width="5%">24</td>
<td width="*"><a href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#beanmembersshouldserialize">Found non-transient, non-static member. Please mark as transient or provide accessors.</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">5</td>
<td width="*%">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\mock\repositories\MockProductRepository.java</td>
<td align="center" width="5%">26</td>
<td width="*"><a href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#beanmembersshouldserialize">Found non-transient, non-static member. Please mark as transient or provide accessors.</a></td>
</tr>
<tr> 
<td align="center">6</td>
<td width="*%">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\mock\repositories\MockUserRepository.java</td>
<td align="center" width="5%">18</td>
<td width="*"><a href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#beanmembersshouldserialize">Found non-transient, non-static member. Please mark as transient or provide accessors.</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">7</td>
<td width="*%">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\mock\repositories\MockUserRepository.java</td>
<td align="center" width="5%">20</td>
<td width="*"><a href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#beanmembersshouldserialize">Found non-transient, non-static member. Please mark as transient or provide accessors.</a></td>
</tr>
<tr> 
<td align="center">8</td>
<td width="*%">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\mock\repositories\MockUserRepository.java</td>
<td align="center" width="5%">22</td>
<td width="*"><a href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#beanmembersshouldserialize">Found non-transient, non-static member. Please mark as transient or provide accessors.</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">9</td>
<td width="*%">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\mock\repositories\MockUserRepository.java</td>
<td align="center" width="5%">24</td>
<td width="*"><a href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#beanmembersshouldserialize">Found non-transient, non-static member. Please mark as transient or provide accessors.</a></td>
</tr>
<tr> 
<td align="center">10</td>
<td width="*%">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\mock\repositories\MockUserRepository.java</td>
<td align="center" width="5%">26</td>
<td width="*"><a href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#beanmembersshouldserialize">Found non-transient, non-static member. Please mark as transient or provide accessors.</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">11</td>
<td width="*%">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\servicestest\ProductServiceTest.java</td>
<td align="center" width="5%">41</td>
<td width="*"><a href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#beanmembersshouldserialize">Found non-transient, non-static member. Please mark as transient or provide accessors.</a></td>
</tr>
<tr> 
<td align="center">12</td>
<td width="*%">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\servicestest\ProductServiceTest.java</td>
<td align="center" width="5%">44</td>
<td width="*"><a href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#beanmembersshouldserialize">Found non-transient, non-static member. Please mark as transient or provide accessors.</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">13</td>
<td width="*%">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\servicestest\ProductServiceTest.java</td>
<td align="center" width="5%">46</td>
<td width="*"><a href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#beanmembersshouldserialize">Found non-transient, non-static member. Please mark as transient or provide accessors.</a></td>
</tr>
<tr> 
<td align="center">14</td>
<td width="*%">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\servicestest\ProductServiceTest.java</td>
<td align="center" width="5%">146</td>
<td width="*"><a href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#dataflowanomalyanalysis">Found 'DD'-anomaly for variable 'result' (lines '146'-'149').</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">15</td>
<td width="*%">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\servicestest\ProductServiceTest.java</td>
<td align="center" width="5%">146</td>
<td width="*"><a href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#dataflowanomalyanalysis">Found 'DD'-anomaly for variable 'result' (lines '146'-'152').</a></td>
</tr>
<tr> 
<td align="center">16</td>
<td width="*%">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\servicestest\ProductServiceTest.java</td>
<td align="center" width="5%">146</td>
<td width="*"><a href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#dataflowanomalyanalysis">Found 'DD'-anomaly for variable 'result' (lines '146'-'155').</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">17</td>
<td width="*%">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\servicestest\ProductServiceTest.java</td>
<td align="center" width="5%">149</td>
<td width="*"><a href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#dataflowanomalyanalysis">Found 'DD'-anomaly for variable 'result' (lines '149'-'152').</a></td>
</tr>
<tr> 
<td align="center">18</td>
<td width="*%">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\servicestest\ProductServiceTest.java</td>
<td align="center" width="5%">149</td>
<td width="*"><a href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#dataflowanomalyanalysis">Found 'DD'-anomaly for variable 'result' (lines '149'-'155').</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">19</td>
<td width="*%">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\servicestest\ProductServiceTest.java</td>
<td align="center" width="5%">152</td>
<td width="*"><a href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#dataflowanomalyanalysis">Found 'DD'-anomaly for variable 'result' (lines '152'-'155').</a></td>
</tr>
<tr> 
<td align="center">20</td>
<td width="*%">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\servicestest\UserServiceTest.java</td>
<td align="center" width="5%">29</td>
<td width="*"><a href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#beanmembersshouldserialize">Found non-transient, non-static member. Please mark as transient or provide accessors.</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">21</td>
<td width="*%">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\servicestest\UserServiceTest.java</td>
<td align="center" width="5%">35</td>
<td width="*"><a href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#beanmembersshouldserialize">Found non-transient, non-static member. Please mark as transient or provide accessors.</a></td>
</tr>
<tr> 
<td align="center">22</td>
<td width="*%">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\servicestest\UserServiceTest.java</td>
<td align="center" width="5%">37</td>
<td width="*"><a href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#beanmembersshouldserialize">Found non-transient, non-static member. Please mark as transient or provide accessors.</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">23</td>
<td width="*%">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\servicestest\UserServiceTest.java</td>
<td align="center" width="5%">135</td>
<td width="*"><a href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#dataflowanomalyanalysis">Found 'DD'-anomaly for variable 'result' (lines '135'-'138').</a></td>
</tr>
<tr> 
<td align="center">24</td>
<td width="*%">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\servicestest\UserServiceTest.java</td>
<td align="center" width="5%">135</td>
<td width="*"><a href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#dataflowanomalyanalysis">Found 'DD'-anomaly for variable 'result' (lines '135'-'141').</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">25</td>
<td width="*%">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\servicestest\UserServiceTest.java</td>
<td align="center" width="5%">135</td>
<td width="*"><a href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#dataflowanomalyanalysis">Found 'DD'-anomaly for variable 'result' (lines '135'-'144').</a></td>
</tr>
<tr> 
<td align="center">26</td>
<td width="*%">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\servicestest\UserServiceTest.java</td>
<td align="center" width="5%">138</td>
<td width="*"><a href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#dataflowanomalyanalysis">Found 'DD'-anomaly for variable 'result' (lines '138'-'141').</a></td>
</tr>
<tr bgcolor="lightgrey"> 
<td align="center">27</td>
<td width="*%">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\servicestest\UserServiceTest.java</td>
<td align="center" width="5%">138</td>
<td width="*"><a href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#dataflowanomalyanalysis">Found 'DD'-anomaly for variable 'result' (lines '138'-'144').</a></td>
</tr>
<tr> 
<td align="center">28</td>
<td width="*%">C:\workspaceEclipse\qualitelogiciel\src\test\java\fr\mds\qualitelogicieltp\servicestest\UserServiceTest.java</td>
<td align="center" width="5%">141</td>
<td width="*"><a href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#dataflowanomalyanalysis">Found 'DD'-anomaly for variable 'result' (lines '141'-'144').</a></td>
</tr>
</table></body></html>
